﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Controls.Primitives;

namespace _343996_TileViewStyleExample
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			List<ViewModel> myViewModel = new List<ViewModel>();
			for (int i = 0; i < 9; i++)
			{
				ViewModel vm = new ViewModel()
				{
					Title = String.Format("Tile {0}", i),
					Content = String.Format("Content of Tile{0}", i)
				};
				myViewModel.Add(vm);
			}

			this.myTileView.ItemsSource = myViewModel;

			foreach (RadTileViewItem item in myTileView1.Items)
			{
				ToggleButton maximizeToggleButton = item.FindChildByType<ToggleButton>();
				if (item.TileState == TileViewItemState.Maximized && maximizeToggleButton != null)
				{
					maximizeToggleButton.Opacity = 0;
				}
				else if (maximizeToggleButton != null)
				{
					maximizeToggleButton.Opacity = 1;
				}
			}
		}

		private void myTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.Source as RadTileViewItem;
			if (item.TileState == TileViewItemState.Maximized)
			{
				item.Style = this.Resources["RadTileViewItemStyleNoMaximizeToggleButton"] as Style;
			}
			else
				item.Style = this.Resources["RadTileViewItemStyle"] as Style;
		}
	}
}
